    function startFlow() {
        "use strict";
        mask( false, function() { $( '#atras' ).hide(); } );
        $( '#ibo_number' ).val( '' );
        $( '#last_name' ).val( '' );
        $( '#email' ).val( '' );
        $( '#email_2' ).val( '' );
        $( '#tel' ).val( '' );
        $( '#photo' ).attr( 'src', 'images/user.png' );
        app.currentCard = app.initCard;
        app.currentTab = app.initTab;
        app.IBO = false;
        app.last_name = false;
        app.email = false;
        app.phone = false;
        app.photo_src = false;
        switchTabs();
    }

    function switchTabs() {
        activate_subpage( "#" + app.currentCard );
        $( '.workflow-tab' ).removeClass( 'pressed' );
        $( '#' + app.currentTab ).addClass( 'pressed' );
    }

    function takePhoto() {
        var that = this;
        navigator.camera.getPicture(function() {
            _onPhotoDataSuccess.apply(that, arguments);
        }, function() {
            _onFail.apply(that, arguments);
        }, {
            quality: 100,
            destinationType: navigator.camera.DestinationType.DATA_URL,
            targetWidth: 640,
            targetHeight: 480
        });
    }

    function _onPhotoDataSuccess( imageData ) {
        $( '#photo' ).attr( 'src', "data:image/jpeg;base64," + imageData );
        app.photo_data = imageData;
        app.photo_src = true;
    }

    function _onFail( message ) {
        alert( 'Ocurrio un error al intentar tomar la foto: ' + message );
    }

    function block_screen() {
        $('<div id="screenBlock"></div>').appendTo( '#content' );
        $('#screenBlock').addClass('blockDiv');
    }

    function unblock_screen() {
        if( $('#screenBlock').length > 0 ) {
            $('#screenBlock').remove();
        }
    }

    function mask( doMask, callback ) {
        doMask = ( doMask == undefined ) ? true : doMask;
        if( doMask == true ) {
            block_screen();
            $( '#loading' ).show();
        } else if( doMask == false ) {
            unblock_screen();
            $( '#loading' ).hide();
        }
        if( callback !== undefined ) {
            callback();
        }
    }

    function validateEmail( email ) {
        var pattern = /^([\w-]+(?:\.[\w-]+)*)@((?:[\w-]+\.)*\w[\w-]{0,66})\.([a-z]{2,6}(?:\.[a-z]{2})?)$/i;
        return pattern.test( email );
    }

    function validatephoneNumber( number ) {
        var pattern = /^\(?([0-9]{3})\)?[-]?([0-9]{3})[-]?([0-9]{4})$/;
        return pattern.test( number );
    }

    function validateFormData_1( callback ) {
        $( document ).ready( function() {
            var IBO = $( '#ibo_number' ).val();
            var last_name = $( '#last_name' ).val();
            var valid_IBO = ( IBO !== '' ) ? true : false;
            var valid_last_name = ( last_name !== '' ) ? true : false;
            var valid_data = ( valid_IBO && valid_last_name );
            if( valid_data ) {
                mask( true, function() { $( '#atras' ).hide(); } );
                var data = [];
                data['ibonumber'] = IBO;
                data['lastname'] = last_name;
                $.ajax( {
                  url: app.SEV_MOBILE_SERVER + '/register/validate',
                  data: { contact: data },
                  timeout: 15000,
                  success: function( result ) {
                    result = $.parseJSON( result );
                    if( result.success == true && result.errors.length == 0 ) {
                        app.IBO = IBO;
                        app.last_name = last_name;
                        callback();
                    } else {
                        for( var i = 0; i < result.errors.length; i++ ) {
                            alert( result.errors[i] + '\n' );
                        }
                    }
                    mask( false, function() { $( '#atras' ).show(); } );
                  },
                  error: function( jqXHR, textStatus ) {
                    mask( false, function() { $( '#atras' ).show(); } );
                    alert( 'Error en conexión: ' + textStatus );
                  }
                } );
            } else {
                switch( false ) {
                    case valid_IBO : alert( '"IBO" no puede estar vacio.' ); break;
                    case valid_last_name : alert( '"Apellido P." no puede ser vacio.' ); break;
                    default: break;
                }
            }
        } );
    }

    function validateFormData_2( callback ) {
        var email_1 = $( '#email' ).val();
        var email_2 = $( '#email_2' ).val();
        var tel = $( '#tel' ).val();
        var valid_emails = ( email_1 == email_2 ) ? true : false;
        var valid_email = ( email_1 !== '' ) ? validateEmail( email_1 ) : true;
        var valid_tel = validatephoneNumber( tel );
        var valid_data = ( valid_email && valid_emails && valid_tel );
        if( valid_data ) {
            app.email = email_1;
            app.phone = tel;
            callback();
        } else {
            switch( false ) {
                case valid_email : alert( '"Mail" escrito incorrectamente.' ); break;
                case valid_emails : alert( '"Mail" y "Confirmacion" deben coincidir.' ); break;
                case valid_tel : alert( '"Telefono" escrito incorrectamente.' ); break;
                default: break;
            }
        }
    }

    function sendFormData( callback ) {
        var valid_photo = ( app.photo_src !== false ) ? true : false;
        if( valid_photo ) {
            mask( true, function() { $( '#atras' ).hide(); } );
            setTimeout( function() {
                var data = [];
                data['ibonumber'] = app.IBO;
                data['lastname'] = app.last_name;
                data['emailaddress'] = app.email;
                data['phone'] = app.phone;
                data['image'] = app.photo_data;
                $.ajax( {
                    url: app.SEV_MOBILE_SERVER + 'register/create',
                    type: "POST",
                    data: { contact: data },
                    timeout: 90000,
                    success: function( result ) {
                        result = $.parseJSON( result );
                        if( result.success == true && result.errors.length == 0 ) {
                            callback();
                            mask( false, function() { $( '#atras' ).hide(); } );
                        } else {
                            for( var i = 0; i < result.errors.length; i++ ) {
                                alert( result.errors[i] + '\n' );
                            }
                            mask( false, function() { $( '#atras' ).show(); } );
                        }
                    },
                    error: function( jqXHR, textStatus ) {
                        alert( 'Error en conexión: ' + textStatus );
                        mask( false, function() { $( '#atras' ).show(); } );
                    }
                } );
            }, 1000 );
        } else {
            switch( false ) {
                case valid_photo : alert( 'La "Foto" debe ser tomada.' ); break;
                default: break;
            }
        }
    }